/***********************************************************************/
/***********************************************************************/


#include <stdio.h>

#include "mjd.h"


/***********************************************************************/
/***********************************************************************/


int main(int argc, char *argv[])
{
  int y, m, d, h, mi;
  double s, jd;

  y = 2004;
  m = 11;
  d = 1;

  h = 12;
  mi = 0;
  s = 0.0;

  jd = mjd_calc_julian(y, m, d, h, mi, s);

  printf("date in:  %.4d-%.2d-%.2d %.2d:%.2d:%05.2f (%s %s %d%s, %d - %d:%.2d %s)\n", 
         y, m, d, h, mi, s, mjd_long_weekday[MJD_WEEKDAY(jd)], 
	 mjd_long_month[m-1], d, mjd_suffix[d-1], y, MJD_12HR(h), mi, mjd_am_pm[MJD_AMPM(h)]);

  printf("julian:   %.8f\n", jd);

  mjd_calc_gregorian(MJD_ROUND(jd, 2), &y, &m, &d, &h, &mi, &s);

  s = MJD_TRUNC(s, 2);
  
  printf("date out: %.4d-%.2d-%.2d %.2d:%.2d:%05.2f (%s %s %d%s, %d - %d:%.2d %s)\n", 
         y, m, d, h, mi, s, mjd_long_weekday[MJD_WEEKDAY(jd)], 
	 mjd_long_month[m-1], d, mjd_suffix[d-1], y, MJD_12HR(h), mi, mjd_am_pm[MJD_AMPM(h)]);

  return 0;
}


/*******************************************************************/
/*******************************************************************/

